Bug 498147 - (perl-App-Nopaste) Review Request: perl-App-Nopaste - Easy access to any pastebin
Review Request: perl-App-Nopaste - Easy access to any pastebin
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/App-Nopaste/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-29 01:28 EDT by Iain Arnell
Modified: 2009-06-02 10:37 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.10-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-02 10:18:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-04-29 01:28:26 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-App-Nopaste.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-App-Nopaste-0.10-1.fc12.src.rpm

Description:
Pastebins (also known as nopaste sites) let you post text, usually code,
for public viewing. They're used a lot in IRC channels to show code that
would normally be too long to give directly in the channel (hence the
name nopaste).

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1327573

*rt-0.07
Comment 1 Parag AN(पराग) 2009-04-29 02:02:09 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1327573
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
78d560ad4fb67cb8ceb0d84c4de40ed0  App-Nopaste-0.10.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=1, Tests=8,  0 wallclock secs ( 0.04 usr  0.01 sys +  0.17 cusr  0.01 csys =  0.23 CPU)
+ Package perl-App-Nopaste-0.10-1.fc12.noarch =>
  Provides: perl(App::Nopaste) = 0.10 perl(App::Nopaste::Command) perl(App::Nopaste::Service) perl(App::Nopaste::Service::Gist) perl(App::Nopaste::Service::Husk) perl(App::Nopaste::Service::Mathbin) perl(App::Nopaste::Service::PastebinCom) perl(App::Nopaste::Service::Pastie) perl(App::Nopaste::Service::Rafb) perl(App::Nopaste::Service::Shadowcat) perl(App::Nopaste::Service::Snitch)
Requires: /usr/bin/env perl(App::Nopaste) perl(App::Nopaste::Command) perl(Module::Pluggable) perl(Moose) perl(WWW::Mechanize) perl(base) perl(strict) perl(warnings)

Suggestion:
1) you don't need following
# autoreq doesn't catch this
Requires:       perl(MooseX::Getopt)
# necessary for optional modules
Requires:       perl(Clipboard)
Requires:       perl(Config::INI::Reader)
Requires:       perl(Git)
Requires:       perl(WWW::Pastebin::PastebinCom::Create)
Requires:       perl(WWW::Pastebin::RafbNet::Create)

Remove them and then import new SRPM. I see yum auto processed all these Requires

APPROVED.
Comment 2 Iain Arnell 2009-04-29 02:39:52 EDT
???!!?!?!

Without those explicit requires in the spec, I get an rpm that doesn't require any of those packages and results in a broken installation - MooseX-Getopt is absolutely required - the nopaste command definitely doesn't work without it.
Comment 3 Parag AN(पराग) 2009-04-29 03:35:13 EDT
Argh! my bad. I forgot to remove them from SPEC while testing and installing this package locally.

Please add Requires: back.
Comment 4 Iain Arnell 2009-04-29 03:39:50 EDT
New Package CVS Request
=======================
Package Name: perl-App-Nopaste
Short Description: Easy access to any pastebin
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig
Comment 5 Chris Weyl 2009-04-29 14:48:14 EDT
Just as an aside; I've been trying to split packages in the App::* namespace into two: the main perl-App-Fizz-Bin and a subpackage of "fizz-bin".  To me, this helps make it clearer to the end user that this isn't "just another perl module package" but has an actual executable assoicated with it... especially when the sub-package is included in comps.xml somewhere.  See, e.g., perl-App-Asciio/asciio, perl-Git-CPAN-Patch/git-cpan, perltidy (though perltidy goes too far in the other direction, ditching a perl-Perl-Tidy at all).

It's certainly not mandated :), but I do think it helps overall adoption of the programs in question, so I offer it up for consideration.
Comment 6 Kevin Fenzi 2009-04-30 01:00:49 EDT
cvs done.
Comment 7 Iain Arnell 2009-04-30 07:38:13 EDT
My first thought was that it could be a bit confusing for those coming from CPAN to install perl-App-Foo and not find the corresponding foo binary installed. But the more I think about it, I'm starting to like the idea of giving foo a bit more prominence.

Since this was reviewed as is, I've checked it in without changes, but offer a split nopaste and perl-App-Nopaste for further consideration before going ahead and arbitrarily making the change.

Spec URL: http://iarnell.fedorapeople.org/review/perl-App-Nopaste.spec
SRPM URL: http://iarnell.fedorapeople.org/review/perl-App-Nopaste-0.10-2.fc12.src.rpm

koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1330196
Comment 8 Iain Arnell 2009-05-03 05:51:47 EDT
Aargh!  There's already a nopaste rpm (with /usr/bin/nopaste that conflicts with this one).  Will leave this as a single RPM, and rename the installed nopaste script and man page.
Comment 9 Chris Weyl 2009-05-03 13:55:01 EDT
Hmm... looks like a small ruby script hardcoded to use http://www.rafb.net/paste.

Given that both of these packages provide similar base functionality (but this one supproting significantly more), I wonder if it wouldn't be approprate to just have perl-App-Nopaste explicitly Conflict: with nopaste; or perhaps leverage the alternatives system (see, e.g. man update-alternatives).  I admittedly know a very small amount about the alternatives system, but it would seem to fit this situation...

Anyways, I've probably hijacked the review tix enough :)  Let me know if there's anything I can do if you decide to go either of those routes.
Comment 10 Fedora Update System 2009-05-22 03:02:38 EDT
perl-App-Nopaste-0.10-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-App-Nopaste-0.10-2.fc11
Comment 11 Fedora Update System 2009-05-22 03:02:43 EDT
perl-App-Nopaste-0.10-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-App-Nopaste-0.10-2.fc10
Comment 12 Fedora Update System 2009-05-25 17:09:05 EDT
perl-App-Nopaste-0.10-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-App-Nopaste'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5420
Comment 13 Fedora Update System 2009-05-25 17:14:15 EDT
perl-App-Nopaste-0.10-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-App-Nopaste'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5421
Comment 14 Fedora Update System 2009-06-02 10:18:07 EDT
perl-App-Nopaste-0.10-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-06-02 10:37:39 EDT
perl-App-Nopaste-0.10-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.